define(["require", "exports", "tslib", "react", "@uifabric/example-app-base", "./examples/data", "./examples/CommandBar.Basic.Example", "./examples/CommandBar.NonFocusable.Example", "./examples/CommandBar.Customization.Example", "../../demo/ComponentStatus/ComponentStatus", "./CommandBar.checklist"], function (require, exports, tslib_1, React, example_app_base_1, data_1, CommandBar_Basic_Example_1, CommandBar_NonFocusable_Example_1, CommandBar_Customization_Example_1, ComponentStatus_1, CommandBar_checklist_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var CommandBarBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/examples/CommandBar.Basic.Example.tsx');
    var CommandBarNoFocusableItemsExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/examples/CommandBar.NonFocusable.Example.tsx');
    var CommandBarCustomizationExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/examples/CommandBar.Customization.Example.tsx');
    var CommandBarPage = /** @class */ (function (_super) {
        tslib_1.__extends(CommandBarPage, _super);
        function CommandBarPage() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        CommandBarPage.prototype.render = function () {
            var cmdBarParamsTextAndIcons = { items: data_1.items, overflowItems: data_1.overflowItems, farItems: data_1.farItems };
            return (React.createElement(example_app_base_1.ComponentPage, { title: 'CommandBar', componentName: 'CommandBarExample', exampleCards: React.createElement("div", null,
                    React.createElement(example_app_base_1.ExampleCard, { title: 'CommandBar with search box and overflowing menu items', code: CommandBarBasicExampleCode },
                        React.createElement(CommandBar_Basic_Example_1.CommandBarBasicExample, tslib_1.__assign({}, cmdBarParamsTextAndIcons))),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'CommandBar with non-focusable items', code: CommandBarNoFocusableItemsExampleCode },
                        React.createElement(CommandBar_NonFocusable_Example_1.CommandBarNonFocusableItemsExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'CommandBar with customized rendered items', code: CommandBarCustomizationExampleCode },
                        React.createElement(CommandBar_Customization_Example_1.CommandBarCustomizationExample, null))), propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/CommandBar.types.ts'),
                        require('!raw-loader!office-ui-fabric-react/src/components/ContextualMenu/ContextualMenu.types.ts')
                    ] }), overview: React.createElement("div", null,
                    React.createElement("p", null, "CommandBar is a surface that houses commands that operate on the content of the window, panel, or parent region it resides above. They are one of the most visible and recognizable ways to surface commands, and can be an intuitive method for interacting with content on the page. However, if overloaded or poorly organized, they can be difficult to use and hide valuable commands from your user. CommandBars can also display a search box for finding content; hold simple commands as well as menus; and display the status of ongoing actions."),
                    React.createElement("p", null, "Commands should be sorted in order of importance, from left to right or right to left depending on the culture. Secondarily, organize commands in logical groupings for easier recall. CommandBars work best when they display no more than 5-7 commands. This helps users quickly find your most valuable features. If you need to show more commands, consider using the overflow menu. If you need to render status, or viewing controls, these go on the right side of the CommandBar (or left side if in a left to right experience). Do not display more than 2-3 items on the right side as it will make the overall CommandBar difficult to parse."),
                    React.createElement("p", null, "All command items should have an icon and a label. Commands can render as labels only as well. In smaller widths, commands can just use icon only, but only for the most recognizable and frequently used commands. All other commands should go into an overflow where text labels can be shown.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Sort commands in order of importance from left to right or right to left depending on the culture."),
                        React.createElement("li", null, "Organize commands into logical groupings."),
                        React.createElement("li", null, "Display no more than 5-7 commands."),
                        React.createElement("li", null, "Use overflow to house less frequently-used commands."),
                        React.createElement("li", null, "In small breakpoints, only have the most recognizable commands render as icon only."))), donts: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Fill the command bar completely from left to right."),
                        React.createElement("li", null, "Use icons only for commands in larger widths."),
                        React.createElement("li", null, "Display more than 2-3 items on the right side of the bar (or left side in left to right experiences)."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus_1.ComponentStatus, tslib_1.__assign({}, CommandBar_checklist_1.CommandBarStatus)) }));
        };
        return CommandBarPage;
    }(React.Component));
    exports.CommandBarPage = CommandBarPage;
});
//# sourceMappingURL=CommandBarPage.js.map