define(["require", "exports", "tslib", "react", "../../Utilities"], function (require, exports, tslib_1, React, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var getClassNames = Utilities_1.classNamesFunction();
    var DialogFooterBase = /** @class */ (function (_super) {
        tslib_1.__extends(DialogFooterBase, _super);
        function DialogFooterBase() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        DialogFooterBase.prototype.render = function () {
            var _a = this.props, className = _a.className, getStyles = _a.getStyles, theme = _a.theme;
            this._classNames = getClassNames(getStyles, {
                theme: theme,
                className: className
            });
            return (React.createElement("div", { className: this._classNames.actions },
                React.createElement("div", { className: this._classNames.actionsRight }, this._renderChildrenAsActions())));
        };
        DialogFooterBase.prototype._renderChildrenAsActions = function () {
            var _this = this;
            return React.Children.map(this.props.children, function (child) {
                return child && React.createElement("span", { className: _this._classNames.action }, child);
            });
        };
        DialogFooterBase = tslib_1.__decorate([
            Utilities_1.customizable('DialogFooter', ['theme'])
        ], DialogFooterBase);
        return DialogFooterBase;
    }(Utilities_1.BaseComponent));
    exports.DialogFooterBase = DialogFooterBase;
});
//# sourceMappingURL=DialogFooter.base.js.map