define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/DocumentCard", "../../../common/TestImages"], function (require, exports, tslib_1, React, DocumentCard_1, TestImages_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DocumentCardCompactExample = /** @class */ (function (_super) {
        tslib_1.__extends(DocumentCardCompactExample, _super);
        function DocumentCardCompactExample() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        DocumentCardCompactExample.prototype.render = function () {
            var previewProps = {
                getOverflowDocumentCountText: function (overflowCount) { return "+" + overflowCount + " more"; },
                previewImages: [
                    {
                        name: 'Revenue stream proposal fiscal year 2016 version02.pptx',
                        url: 'http://bing.com',
                        previewImageSrc: TestImages_1.TestImages.documentPreview,
                        iconSrc: TestImages_1.TestImages.iconPpt,
                        width: 144
                    },
                    {
                        name: 'New Contoso Collaboration for Conference Presentation Draft',
                        url: 'http://bing.com',
                        previewImageSrc: TestImages_1.TestImages.documentPreviewTwo,
                        iconSrc: TestImages_1.TestImages.iconPpt,
                        width: 144
                    },
                    {
                        name: 'Spec Sheet for design',
                        url: 'http://bing.com',
                        previewImageSrc: TestImages_1.TestImages.documentPreviewThree,
                        iconSrc: TestImages_1.TestImages.iconPpt,
                        width: 144
                    },
                    {
                        name: 'Contoso Marketing Presentation',
                        url: 'http://bing.com',
                        previewImageSrc: TestImages_1.TestImages.documentPreview,
                        iconSrc: TestImages_1.TestImages.iconPpt,
                        width: 144
                    },
                ],
            };
            var previewPropsUsingIcon = {
                previewImages: [
                    {
                        previewIconProps: { iconName: 'OpenFile', styles: { root: { fontSize: 42, color: '#ffffff' } } },
                        width: 144
                    }
                ]
            };
            var previewOutlookUsingIcon = {
                previewImages: [
                    {
                        previewIconProps: { iconName: 'OutlookLogo', styles: { root: { fontSize: 42, color: '#0078d7' } } },
                        previewIconContainerClass: 'ms-DocumentCardPreview-iconContainer2',
                        width: 144
                    }
                ]
            };
            return (React.createElement("div", null,
                React.createElement(DocumentCard_1.DocumentCard, { type: DocumentCard_1.DocumentCardType.compact, onClickHref: 'http://bing.com' },
                    React.createElement(DocumentCard_1.DocumentCardPreview, tslib_1.__assign({}, previewProps)),
                    React.createElement("div", { className: 'ms-DocumentCard-details' },
                        React.createElement(DocumentCard_1.DocumentCardTitle, { title: '4 files were uploaded', shouldTruncate: true }),
                        React.createElement(DocumentCard_1.DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                                { name: 'Kat Larrson', profileImageSrc: TestImages_1.TestImages.personaFemale }
                            ] }))),
                React.createElement("p", null),
                React.createElement(DocumentCard_1.DocumentCard, { type: DocumentCard_1.DocumentCardType.compact, onClickHref: 'http://bing.com' },
                    React.createElement(DocumentCard_1.DocumentCardPreview, { previewImages: [previewProps.previewImages[0]] }),
                    React.createElement("div", { className: 'ms-DocumentCard-details' },
                        React.createElement(DocumentCard_1.DocumentCardTitle, { title: 'Revenue stream proposal fiscal year 2016 version02.pptx', shouldTruncate: true }),
                        React.createElement(DocumentCard_1.DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                                { name: 'Kat Larrson', profileImageSrc: TestImages_1.TestImages.personaFemale }
                            ] }))),
                React.createElement("p", null),
                React.createElement(DocumentCard_1.DocumentCard, { type: DocumentCard_1.DocumentCardType.compact, onClickHref: 'http://bing.com' },
                    React.createElement(DocumentCard_1.DocumentCardPreview, tslib_1.__assign({}, previewPropsUsingIcon)),
                    React.createElement("div", { className: 'ms-DocumentCard-details' },
                        React.createElement(DocumentCard_1.DocumentCardTitle, { title: 'View and share files', shouldTruncate: true }),
                        React.createElement(DocumentCard_1.DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                                { name: 'Kat Larrson', profileImageSrc: TestImages_1.TestImages.personaFemale }
                            ] }))),
                React.createElement("p", null),
                React.createElement(DocumentCard_1.DocumentCard, { type: DocumentCard_1.DocumentCardType.compact, onClickHref: 'http://bing.com' },
                    React.createElement(DocumentCard_1.DocumentCardPreview, tslib_1.__assign({}, previewOutlookUsingIcon)),
                    React.createElement("div", { className: 'ms-DocumentCard-details' },
                        React.createElement(DocumentCard_1.DocumentCardTitle, { title: 'Conversation about anual report from SharePoint conference', shouldTruncate: true }),
                        React.createElement(DocumentCard_1.DocumentCardActivity, { activity: 'Sent a few minutes ago', people: [
                                { name: 'Kat Larrson', profileImageSrc: TestImages_1.TestImages.personaFemale }
                            ] })))));
        };
        return DocumentCardCompactExample;
    }(React.Component));
    exports.DocumentCardCompactExample = DocumentCardCompactExample;
});
//# sourceMappingURL=DocumentCard.Compact.Example.js.map