define(["require", "exports", "../../Utilities", "../../Styling"], function (require, exports, Utilities_1, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var inheritFont = { fontFamily: 'inherit' };
    exports.getClassNames = Utilities_1.memoizeFunction(function (theme, className, isFocusVisible) {
        return {
            root: Styling_1.mergeStyles([
                'ms-Fabric',
                isFocusVisible && 'is-focusVisible',
                className,
                theme.fonts.medium,
                {
                    color: theme.palette.neutralPrimary,
                    selectors: {
                        '& button': inheritFont,
                        '& input': inheritFont,
                        '& textarea': inheritFont,
                        ':global(button)': {
                            overflow: 'visible'
                        }
                    }
                }
            ])
        };
    });
});
//# sourceMappingURL=Fabric.classNames.js.map