define(["require", "exports", "tslib", "react", "@uifabric/example-app-base", "./examples/ProgressIndicator.Basic.Example", "./examples/ProgressIndicator.Indeterminate.Example", "../../demo/ComponentStatus/ComponentStatus", "./ProgressIndicator.checklist"], function (require, exports, tslib_1, React, example_app_base_1, ProgressIndicator_Basic_Example_1, ProgressIndicator_Indeterminate_Example_1, ComponentStatus_1, ProgressIndicator_checklist_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var ProgressIndicatorBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/ProgressIndicator/examples/ProgressIndicator.Basic.Example.tsx');
    var ProgressIndicatorIndeterminateExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/ProgressIndicator/examples/ProgressIndicator.Indeterminate.Example.tsx');
    var ProgressIndicatorPage = /** @class */ (function (_super) {
        tslib_1.__extends(ProgressIndicatorPage, _super);
        function ProgressIndicatorPage() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ProgressIndicatorPage.prototype.render = function () {
            return (React.createElement(example_app_base_1.ComponentPage, { title: 'ProgressIndicator', componentName: 'ProgressIndicatorExample', exampleCards: React.createElement("div", null,
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Default ProgressIndicator', code: ProgressIndicatorBasicExampleCode },
                        React.createElement(ProgressIndicator_Basic_Example_1.ProgressIndicatorBasicExample, null)),
                    React.createElement(example_app_base_1.ExampleCard, { title: 'Indeterminate ProgressIndicator', code: ProgressIndicatorIndeterminateExampleCode },
                        React.createElement(ProgressIndicator_Indeterminate_Example_1.ProgressIndicatorIndeterminateExample, null))), propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/ProgressIndicator/ProgressIndicator.types.ts')
                    ] }), overview: React.createElement("div", null,
                    React.createElement("p", null, "ProgressIndicators are used to show the completion status of an operation lasting more than 2 seconds. If the state of progress cannot be determined, use a Spinner instead. ProgressIndicators can appear in a new panel, a flyout, under the UI initiating the operation, or even replacing the initiating UI, as long as the UI can return if the operation is canceled or is stopped."),
                    React.createElement("p", null, "ProgressIndicators feature a bar showing total units to completion, and total units finished. The description of the operation appears above the bar, and the status in text appears below. The description should tell someone exactly what the operation is doing. Examples of formatting include:"),
                    React.createElement("ul", null,
                        React.createElement("li", null,
                            React.createElement("strong", null, "[Object]"),
                            " is being ",
                            React.createElement("strong", null, "[operation name]"),
                            ", or"),
                        React.createElement("li", null,
                            React.createElement("strong", null, "[Object]"),
                            " is being ",
                            React.createElement("strong", null, "[operation name]"),
                            " to ",
                            React.createElement("strong", null, "[destination name]"),
                            " or"),
                        React.createElement("li", null,
                            React.createElement("strong", null, "[Object]"),
                            " is being ",
                            React.createElement("strong", null, "[operation name]"),
                            " from ",
                            React.createElement("strong", null, "[source name]"),
                            " to ",
                            React.createElement("strong", null, "[destination name]"))),
                    React.createElement("p", null, "Status text is generally in units elapsed and total units. If the operation can be canceled, an \u201CX\u201D icon is used and should be placed in the upper right, aligned with the baseline of the operation name. When an error occurs, replace the status text with the error description using ms-fontColor-redDark."),
                    React.createElement("p", null, "Real-world examples include copying files to a storage location, saving edits to a file, and more. Use units that are informative and relevant to give the best idea to users of how long the operation will take to complete. Avoid time units as they are rarely accurate enough to be trustworthy. Also, combine steps of a complex operation into one total bar to avoid \u201Crewinding\u201D the bar. Instead change the operation description to reflect the change if necessary. Bars moving backwards reduce confidence in the service.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Use a ProgressIndicator when the total units to completion is known"),
                        React.createElement("li", null, "Display operation description"),
                        React.createElement("li", null, "Show text above and/or below the bar"),
                        React.createElement("li", null, "Combine steps of a single operation into one bar"))), donts: React.createElement("div", null,
                    React.createElement("ul", null,
                        React.createElement("li", null, "Use a ProgressIndicator when the total units to completion is indeterminate"),
                        React.createElement("li", null, "Use only a single word description"),
                        React.createElement("li", null, "Show text to the right or left of the bar"),
                        React.createElement("li", null, "Cause progress to \u201Crewind\u201D to show new steps"))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus_1.ComponentStatus, tslib_1.__assign({}, ProgressIndicator_checklist_1.ProgressIndicatorStatus)) }));
        };
        return ProgressIndicatorPage;
    }(React.Component));
    exports.ProgressIndicatorPage = ProgressIndicatorPage;
});
//# sourceMappingURL=ProgressIndicatorPage.js.map