define(["require", "exports", "tslib", "react", "../../../Utilities", "../BasePicker", "../BasePicker.types", "./PeoplePickerItems/SelectedItemDefault", "./PeoplePickerItems/SuggestionItemDefault", "./PeoplePicker.scss"], function (require, exports, tslib_1, React, Utilities_1, BasePicker_1, BasePicker_types_1, SelectedItemDefault_1, SuggestionItemDefault_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var BasePeoplePicker = /** @class */ (function (_super) {
        tslib_1.__extends(BasePeoplePicker, _super);
        function BasePeoplePicker() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return BasePeoplePicker;
    }(BasePicker_1.BasePicker));
    exports.BasePeoplePicker = BasePeoplePicker;
    var MemberListPeoplePicker = /** @class */ (function (_super) {
        tslib_1.__extends(MemberListPeoplePicker, _super);
        function MemberListPeoplePicker() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return MemberListPeoplePicker;
    }(BasePicker_1.BasePickerListBelow));
    exports.MemberListPeoplePicker = MemberListPeoplePicker;
    /**
     * Standard People Picker.
     */
    var NormalPeoplePicker = /** @class */ (function (_super) {
        tslib_1.__extends(NormalPeoplePicker, _super);
        function NormalPeoplePicker() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NormalPeoplePicker.defaultProps = {
            onRenderItem: function (props) { return React.createElement(SelectedItemDefault_1.SelectedItemDefault, tslib_1.__assign({}, props)); },
            onRenderSuggestionsItem: function (props, itemProps) { return SuggestionItemDefault_1.SuggestionItemNormal(tslib_1.__assign({}, props), tslib_1.__assign({}, itemProps)); },
            createGenericItem: createGenericItem
        };
        return NormalPeoplePicker;
    }(BasePeoplePicker));
    exports.NormalPeoplePicker = NormalPeoplePicker;
    /**
    * Compact layout. It uses small personas when displaying search results.
    */
    var CompactPeoplePicker = /** @class */ (function (_super) {
        tslib_1.__extends(CompactPeoplePicker, _super);
        function CompactPeoplePicker() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        CompactPeoplePicker.defaultProps = {
            onRenderItem: function (props) { return React.createElement(SelectedItemDefault_1.SelectedItemDefault, tslib_1.__assign({}, props)); },
            onRenderSuggestionsItem: function (props, itemProps) { return SuggestionItemDefault_1.SuggestionItemSmall(tslib_1.__assign({}, props), tslib_1.__assign({}, itemProps)); },
            createGenericItem: createGenericItem
        };
        return CompactPeoplePicker;
    }(BasePeoplePicker));
    exports.CompactPeoplePicker = CompactPeoplePicker;
    /**
     * MemberList layout. The selected people show up below the search box.
     */
    var ListPeoplePicker = /** @class */ (function (_super) {
        tslib_1.__extends(ListPeoplePicker, _super);
        function ListPeoplePicker() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ListPeoplePicker.defaultProps = {
            onRenderItem: function (props) { return React.createElement(SelectedItemDefault_1.SelectedItemDefault, tslib_1.__assign({}, props)); },
            onRenderSuggestionsItem: function (props, itemProps) { return SuggestionItemDefault_1.SuggestionItemNormal(tslib_1.__assign({}, props), tslib_1.__assign({}, itemProps)); },
            createGenericItem: createGenericItem
        };
        return ListPeoplePicker;
    }(MemberListPeoplePicker));
    exports.ListPeoplePicker = ListPeoplePicker;
    function createGenericItem(name, currentValidationState, allowPhoneInitials) {
        var personaToConvert = {
            key: name,
            primaryText: name,
            imageInitials: '!',
            ValidationState: currentValidationState
        };
        if (currentValidationState !== BasePicker_types_1.ValidationState.warning) {
            personaToConvert.imageInitials = Utilities_1.getInitials(name, Utilities_1.getRTL(), allowPhoneInitials);
        }
        return personaToConvert;
    }
    exports.createGenericItem = createGenericItem;
});
//# sourceMappingURL=PeoplePicker.js.map