import * as tslib_1 from "tslib";
import * as React from 'react';
import { ComponentPage, ExampleCard, PropertiesTableSet } from '@uifabric/example-app-base';
import { items } from '../CommandBar/examples/data';
import { CalloutBasicExample } from './examples/Callout.Basic.Example';
import { CalloutNestedExample } from './examples/Callout.Nested.Example';
import { CalloutDirectionalExample } from './examples/Callout.Directional.Example';
import { CalloutCoverExample } from './examples/Callout.Cover.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { CalloutStatus } from './Callout.checklist';
var CalloutBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Basic.Example.tsx');
var CalloutNestedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Nested.Example.tsx');
var CalloutDirectionalExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Directional.Example.tsx');
var CalloutCoverExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Cover.Example.tsx');
var CalloutPage = /** @class */ (function (_super) {
    tslib_1.__extends(CalloutPage, _super);
    function CalloutPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CalloutPage.prototype.render = function () {
        var cmdBarParamsTextAndIcons = { items: items, farItems: null };
        return (React.createElement(ComponentPage, { title: 'Callout', componentName: 'CalloutExample', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Default Callout', code: CalloutBasicExampleCode },
                    React.createElement(CalloutBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Nested Callout... Callout with a commandbar with a sub menu', code: CalloutNestedExampleCode },
                    React.createElement(CalloutNestedExample, tslib_1.__assign({}, cmdBarParamsTextAndIcons))),
                React.createElement(ExampleCard, { title: 'Callout with directional hint', code: CalloutDirectionalExampleCode },
                    React.createElement(CalloutDirectionalExample, null)),
                React.createElement(ExampleCard, { title: 'Callout with cover', code: CalloutCoverExampleCode },
                    React.createElement(CalloutCoverExample, null))), propertiesTables: React.createElement("div", null,
                React.createElement(PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/Callout/Callout.types.ts')
                    ] }),
                React.createElement("p", null,
                    "Besides the above properties, the ",
                    React.createElement("code", null, "Callout"),
                    " component accepts all properties that the React ",
                    React.createElement("code", null, "button"),
                    " and ",
                    React.createElement("code", null, "a"),
                    " components accept.")), overview: React.createElement("div", null,
                React.createElement("p", null, "Callouts are a powerful way to simplify a user interface. They host tips and other information users need when they need it, with minimal effort on their part. Callouts can help you use screen space more effectively and reduce screen clutter. However, poorly designed Callouts can be annoying, distracting, unhelpful, overwhelming, or in the way."),
                React.createElement("p", null, "Use a Callout for displaying additional contextual information about an item on the screen. Callouts also have a tail that identifies their source. A common use for Callout is the introduction of a new feature or capability of an app or site. Alternate usages include pairing the Callout with a button or clickable element for on-demand presentation of additional or supporting content."),
                React.createElement("p", null, "Real-world examples of this implementation can be seen in administrative interfaces where a particularly difficult-to-understand concept is paired with the iconClassNames.info \"i\" icon. In this example, Callout - with its tip text - is opened when the user clicks on or hovers over the icon.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use Callouts to introduce new concepts in an experience where highlighting specific pieces of the UI is necessary."),
                    React.createElement("li", null, "Do be concise with the information you provide inside of a Callout. Short sentences or sentence fragments are best."),
                    React.createElement("li", null, "Do be helpful with the tip text inside of your Callout."),
                    React.createElement("li", null, "Do limit the information inside of a Callout to supplemental information that users don't have to read."),
                    React.createElement("li", null, "Callouts should be placed near the object being described, usually at the pointer's tail or head if possible."),
                    React.createElement("li", null, "When additional context - or more advanced description - is necessary, consider placing a link to \"Learn more\" at the bottom of the Callout and opening the additional content in a new window or Panel when clicked."))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Don\u2019t overuse Callout without putting the user in control. Too many Callouts which open automatically can be perceived as interrupting workflow and are a bad user experience."),
                    React.createElement("li", null, "Don't use large, unformatted blocks of text in your Callout, they are difficult to read and overwhelming."),
                    React.createElement("li", null, "Don't put obvious tip text, or text that simply repeats what is already on the screen in your Callout."),
                    React.createElement("li", null, "Because the content inside of a Callout isn't always visible, don't put important or required information in a Callout."),
                    React.createElement("li", null, "Don\u2019t block important UI with the placement of your Callout, it is a poor user experience that will lead to frustration."),
                    React.createElement("li", null, "Don\u2019t open Callout from within another Callout."),
                    React.createElement("li", null, "Don\u2019t use Callout to ask the user to confirm an action, use a Dialog instead."),
                    React.createElement("li", null, "Don\u2019t show Callouts on hidden elements."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, CalloutStatus)) }));
    };
    return CalloutPage;
}(React.Component));
export { CalloutPage };
//# sourceMappingURL=CalloutPage.js.map