import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PropertiesTableSet } from '@uifabric/example-app-base';
import { DatePickerBasicExample } from './examples/DatePicker.Basic.Example';
import { DatePickerWeekNumbersExample } from './examples/DatePicker.WeekNumbers.Example';
import { DatePickerRequiredExample } from './examples/DatePicker.Required.Example';
import { DatePickerInputExample } from './examples/DatePicker.Input.Example';
import { DatePickerFormatExample } from './examples/DatePicker.Format.Example';
import { DatePickerBoundedExample } from './examples/DatePicker.Bounded.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { DatePickerStatus } from './DatePicker.checklist';
var DatePickerBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.Basic.Example.tsx');
var DatePickerWeekNumbersExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.WeekNumbers.Example.tsx');
var DatePickerRequiredExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.Required.Example.tsx');
var DatePickerInputExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.Input.Example.tsx');
var DatePickerFormatExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.Format.Example.tsx');
var DatePickerBoundedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/examples/DatePicker.Bounded.Example.tsx');
var DatePickerPage = /** @class */ (function (_super) {
    tslib_1.__extends(DatePickerPage, _super);
    function DatePickerPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DatePickerPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'DatePicker', componentName: 'DatePickerExample', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Default DatePicker', code: DatePickerBasicExampleCode },
                    React.createElement(DatePickerBasicExample, null)),
                React.createElement(ExampleCard, { title: 'DatePicker with week numbers', code: DatePickerWeekNumbersExampleCode },
                    React.createElement(DatePickerWeekNumbersExample, null)),
                React.createElement(ExampleCard, { title: 'DatePicker with required field', code: DatePickerRequiredExampleCode },
                    React.createElement(DatePickerRequiredExample, null)),
                React.createElement(ExampleCard, { title: 'DatePicker allows input date string', code: DatePickerInputExampleCode },
                    React.createElement(DatePickerInputExample, null)),
                React.createElement(ExampleCard, { title: 'DatePicker allows dates to be formatted', code: DatePickerFormatExampleCode },
                    React.createElement(DatePickerFormatExample, null)),
                React.createElement(ExampleCard, { title: 'DatePicker with date boundary (minDate, maxDate)', code: DatePickerBoundedExampleCode },
                    React.createElement(DatePickerBoundedExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/DatePicker/DatePicker.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "The DatePicker component enables a user to pick a date value.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use the control as a single entity."),
                    React.createElement("li", null, "Set the default date to the current date unless a specific date is required for context (e.g. the date of the conference)."),
                    React.createElement("li", null, "The control is designed to resize relative to available screen width. Allow it to render in either wide or narrow as appropriate."),
                    React.createElement("li", null, "When the control is engaged, the DatePicker renders as a flyout and has defined widths (300px -narrow and 440px \u2013 wide). Plan your UI implementation accordingly."),
                    React.createElement("li", null, "The control renders date in a specific format. If allowing for manual entry of date, provide helper text in the appropriate format."))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Don't attempt to break apart year from month/day selectors. If granularity is required, use the Dropdown control or something similar."),
                    React.createElement("li", null, "Don't attempt to force resize the control in any way."),
                    React.createElement("li", null, "Don't force the control to render one mode vs. the other (year or month/day)"),
                    React.createElement("li", null, "The flyout selector is a light dismiss control. Don't modify this behavior in any way."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, DatePickerStatus)) }));
    };
    return DatePickerPage;
}(React.Component));
export { DatePickerPage };
//# sourceMappingURL=DatePickerPage.js.map