import * as tslib_1 from "tslib";
import * as React from 'react';
import { DocumentCard, DocumentCardActivity, DocumentCardPreview, DocumentCardTitle, DocumentCardType } from 'office-ui-fabric-react/lib/DocumentCard';
import { TestImages } from '../../../common/TestImages';
var DocumentCardCompactExample = /** @class */ (function (_super) {
    tslib_1.__extends(DocumentCardCompactExample, _super);
    function DocumentCardCompactExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DocumentCardCompactExample.prototype.render = function () {
        var previewProps = {
            getOverflowDocumentCountText: function (overflowCount) { return "+" + overflowCount + " more"; },
            previewImages: [
                {
                    name: 'Revenue stream proposal fiscal year 2016 version02.pptx',
                    url: 'http://bing.com',
                    previewImageSrc: TestImages.documentPreview,
                    iconSrc: TestImages.iconPpt,
                    width: 144
                },
                {
                    name: 'New Contoso Collaboration for Conference Presentation Draft',
                    url: 'http://bing.com',
                    previewImageSrc: TestImages.documentPreviewTwo,
                    iconSrc: TestImages.iconPpt,
                    width: 144
                },
                {
                    name: 'Spec Sheet for design',
                    url: 'http://bing.com',
                    previewImageSrc: TestImages.documentPreviewThree,
                    iconSrc: TestImages.iconPpt,
                    width: 144
                },
                {
                    name: 'Contoso Marketing Presentation',
                    url: 'http://bing.com',
                    previewImageSrc: TestImages.documentPreview,
                    iconSrc: TestImages.iconPpt,
                    width: 144
                },
            ],
        };
        var previewPropsUsingIcon = {
            previewImages: [
                {
                    previewIconProps: { iconName: 'OpenFile', styles: { root: { fontSize: 42, color: '#ffffff' } } },
                    width: 144
                }
            ]
        };
        var previewOutlookUsingIcon = {
            previewImages: [
                {
                    previewIconProps: { iconName: 'OutlookLogo', styles: { root: { fontSize: 42, color: '#0078d7' } } },
                    previewIconContainerClass: 'ms-DocumentCardPreview-iconContainer2',
                    width: 144
                }
            ]
        };
        return (React.createElement("div", null,
            React.createElement(DocumentCard, { type: DocumentCardType.compact, onClickHref: 'http://bing.com' },
                React.createElement(DocumentCardPreview, tslib_1.__assign({}, previewProps)),
                React.createElement("div", { className: 'ms-DocumentCard-details' },
                    React.createElement(DocumentCardTitle, { title: '4 files were uploaded', shouldTruncate: true }),
                    React.createElement(DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                            { name: 'Kat Larrson', profileImageSrc: TestImages.personaFemale }
                        ] }))),
            React.createElement("p", null),
            React.createElement(DocumentCard, { type: DocumentCardType.compact, onClickHref: 'http://bing.com' },
                React.createElement(DocumentCardPreview, { previewImages: [previewProps.previewImages[0]] }),
                React.createElement("div", { className: 'ms-DocumentCard-details' },
                    React.createElement(DocumentCardTitle, { title: 'Revenue stream proposal fiscal year 2016 version02.pptx', shouldTruncate: true }),
                    React.createElement(DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                            { name: 'Kat Larrson', profileImageSrc: TestImages.personaFemale }
                        ] }))),
            React.createElement("p", null),
            React.createElement(DocumentCard, { type: DocumentCardType.compact, onClickHref: 'http://bing.com' },
                React.createElement(DocumentCardPreview, tslib_1.__assign({}, previewPropsUsingIcon)),
                React.createElement("div", { className: 'ms-DocumentCard-details' },
                    React.createElement(DocumentCardTitle, { title: 'View and share files', shouldTruncate: true }),
                    React.createElement(DocumentCardActivity, { activity: 'Created a few minutes ago', people: [
                            { name: 'Kat Larrson', profileImageSrc: TestImages.personaFemale }
                        ] }))),
            React.createElement("p", null),
            React.createElement(DocumentCard, { type: DocumentCardType.compact, onClickHref: 'http://bing.com' },
                React.createElement(DocumentCardPreview, tslib_1.__assign({}, previewOutlookUsingIcon)),
                React.createElement("div", { className: 'ms-DocumentCard-details' },
                    React.createElement(DocumentCardTitle, { title: 'Conversation about anual report from SharePoint conference', shouldTruncate: true }),
                    React.createElement(DocumentCardActivity, { activity: 'Sent a few minutes ago', people: [
                            { name: 'Kat Larrson', profileImageSrc: TestImages.personaFemale }
                        ] })))));
    };
    return DocumentCardCompactExample;
}(React.Component));
export { DocumentCardCompactExample };
//# sourceMappingURL=DocumentCard.Compact.Example.js.map