import { memoizeFunction } from '../../Utilities';
import { mergeStyles } from '../../Styling';
var inheritFont = { fontFamily: 'inherit' };
export var getClassNames = memoizeFunction(function (theme, className, isFocusVisible) {
    return {
        root: mergeStyles([
            'ms-Fabric',
            isFocusVisible && 'is-focusVisible',
            className,
            theme.fonts.medium,
            {
                color: theme.palette.neutralPrimary,
                selectors: {
                    '& button': inheritFont,
                    '& input': inheritFont,
                    '& textarea': inheritFont,
                    ':global(button)': {
                        overflow: 'visible'
                    }
                }
            }
        ])
    };
});
//# sourceMappingURL=Fabric.classNames.js.map