import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PropertiesTableSet } from '@uifabric/example-app-base';
import { LayerBasicExample } from './examples/Layer.Basic.Example';
import { LayerHostedExample } from './examples/Layer.Hosted.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { LayerStatus } from './Layer.checklist';
var LayerBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Layer/examples/Layer.Basic.Example.tsx');
var LayerHostedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Layer/examples/Layer.Hosted.Example.tsx');
var LayerPage = /** @class */ (function (_super) {
    tslib_1.__extends(LayerPage, _super);
    function LayerPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LayerPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Layer', componentName: 'LayerExample', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Basic layered content', code: LayerBasicExampleCode },
                    React.createElement(LayerBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Using LayerHost to control projection', code: LayerHostedExampleCode },
                    React.createElement(LayerHostedExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Layer/Layer.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "A Layer is a technical component that does not have specific Design guidance."),
                React.createElement("p", null, "Layers are used to render content outside of a DOM tree, at the end of the document. This allows content to escape traditional boundaries caused by \"overflow: hidden\" css rules and keeps it on the top without using z-index rules. This is useful for example in ContextualMenu and Tooltip scenarios, where the content should always overlay everything else."),
                React.createElement("p", null, "There are some special considerations. Due to the nature of rendering content elsewhere asynchronously, React refs within content will not be resolvable synchronously at the time the Layer is mounted. Therefore, to use refs correctly, use functional refs ( ref={ (el) => { this._root = el; } ) rather than string refs ( ref='root' ). Additionally measuring the physical Layer element will not include any of the children, since it won't render it. Events that propgate from within the content will not go through the Layer element as well.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, 'Use functional refs ( ref={ (el) => { this._root = el; } ).'))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, 'Don\'t use string refs ( ref=\'root\' ).'))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, LayerStatus)) }));
    };
    return LayerPage;
}(React.Component));
export { LayerPage };
//# sourceMappingURL=LayerPage.js.map