import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PropertiesTableSet } from '@uifabric/example-app-base';
import { NavBasicExample } from './examples/Nav.Basic.Example';
import { NavFabricDemoAppExample } from './examples/Nav.FabricDemoApp.Example';
import { NavNestedExample } from './examples/Nav.Nested.Example';
import { NavByKeysExample } from './examples/Nav.ByKeys.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { NavStatus } from './Nav.checklist';
var NavBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Basic.Example.tsx');
var NavFabricDemoAppExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.FabricDemoApp.Example.tsx');
var NavNestedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Nested.Example.tsx');
var NavByKeysExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.ByKeys.Example.tsx');
var NavPage = /** @class */ (function (_super) {
    tslib_1.__extends(NavPage, _super);
    function NavPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NavPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Nav', componentName: 'NavExample', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Basic Nav bar with sample links', code: NavBasicExampleCode },
                    React.createElement(NavBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Navigation menu used in this Fabric React demo app', code: NavFabricDemoAppExampleCode },
                    React.createElement(NavFabricDemoAppExample, null)),
                React.createElement(ExampleCard, { title: 'Nested navigation menu (without group header)', code: NavNestedExampleCode },
                    React.createElement(NavNestedExample, null)),
                React.createElement(ExampleCard, { title: 'Nav bar of links each with unique keys and empty urls', code: NavByKeysExampleCode },
                    React.createElement(NavByKeysExample, null))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Nav/Nav.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "Navs (also called \"left nav\" or \"navigation pane\") provide links to the main areas of an app or a site. In larger configurations, the Nav is always on-screen, usually on the left of the view. In smaller configurations, the Nav may collapse into a skinnier version or be completely hidden until the user taps an icon.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use Nav for apps with many top-level navigation items that are of similar type. For example, a sports app with categories like Football, Baseball, Basketball, Soccer, and so on."),
                    React.createElement("li", null, "Keep the names of the navigation items brief and clear, rather than trying to be overly specific."),
                    React.createElement("li", null, "Use the word that feels right for the navigation. For example, some items may make better sense as nouns (e.g. \u201CFiles\u201D), others as adjectives (\u201CShared\u201D). Use what makes sense for users, and keep it short! "),
                    React.createElement("li", null, "Try to keep your app\u2019s nav in a consistent order across platforms. This sort of consistency increases predictability which drives user confidence, thus retaining and engaging them."),
                    React.createElement("li", null, "UseNav for an app with a medium to high number of top-level views or categories. If your app is very simple, you may prefer a simpler hub-and-spoke layout."))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Overload your Nav. Too many items in the Nav is indicative of an app that is poorly organized or trying to do too much."),
                    React.createElement("li", null, "Include actions. You may reserve a space for actions, if you keep them well separated from the main Nav and their appearance makes it obvious that tapping them will execute a command instead of navigating."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, NavStatus)) }));
    };
    return NavPage;
}(React.Component));
export { NavPage };
//# sourceMappingURL=NavPage.js.map