import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PropertiesTableSet } from '@uifabric/example-app-base';
import { OverlayDarkExample } from './examples/Overlay.Dark.Example';
import { OverlayLightExample } from './examples/Overlay.Light.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { OverlayStatus } from './Overlay.checklist';
var OverlayLightExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Overlay/examples/Overlay.Light.Example.tsx');
var OverlayDarkExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Overlay/examples/Overlay.Dark.Example.tsx');
var OverlayPage = /** @class */ (function (_super) {
    tslib_1.__extends(OverlayPage, _super);
    function OverlayPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OverlayPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Overlay', componentName: 'OverlayExample', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Light', code: OverlayLightExampleCode },
                    React.createElement(OverlayLightExample, null)),
                React.createElement(ExampleCard, { title: 'Dark', code: OverlayDarkExampleCode },
                    React.createElement(OverlayDarkExample, null))), allowNativeProps: true, propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Overlay/Overlay.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "Overlays are used to render a semi-transparent layer on top of existing UI. Overlays help focus the user on the content that sits above the added layer and are often used to help designate a modal or blocking experience. Overlays can be seen used in conjunction with Panels and Dialogs.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use a dark Overlay with a first-run experience."),
                    React.createElement("li", null, "Use a white Overlay for dialogs and panels."))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use an Overlay when you want the user to interact with the UI that is being covered."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, OverlayStatus)) }));
    };
    return OverlayPage;
}(React.Component));
export { OverlayPage };
//# sourceMappingURL=OverlayPage.js.map