import * as tslib_1 from "tslib";
import * as React from 'react';
import { LayerHost } from 'office-ui-fabric-react/lib/Layer';
import { ExampleCard, ComponentPage, PropertiesTableSet } from '@uifabric/example-app-base';
import { TooltipCustomExample } from './examples/Tooltip.Custom.Example';
import { TooltipBasicExample } from './examples/Tooltip.Basic.Example';
import { TooltipInteractiveExample } from './examples/Tooltip.Interactive.Example';
import { TooltipOverflowExample } from './examples/Tooltip.Overflow.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { TooltipStatus } from './Tooltip.checklist';
import './TooltipPage.scss';
var TooltipBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Basic.Example.tsx');
var TooltipCustomExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Custom.Example.tsx');
var TooltipInteractiveExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Interactive.Example.tsx');
var TooltipOverflowExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Overflow.Example.tsx');
var TooltipPage = /** @class */ (function (_super) {
    tslib_1.__extends(TooltipPage, _super);
    function TooltipPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TooltipPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'Tooltip', componentName: 'TooltipExample', exampleCards: React.createElement(LayerHost, null,
                React.createElement(ExampleCard, { title: 'Default Tooltip', code: TooltipBasicExampleCode },
                    React.createElement(TooltipBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Tooltip with list', code: TooltipCustomExampleCode },
                    React.createElement(TooltipCustomExample, null)),
                React.createElement(ExampleCard, { title: 'Tooltip with a closing delay', code: TooltipInteractiveExampleCode },
                    React.createElement(TooltipInteractiveExample, null)),
                React.createElement(ExampleCard, { title: 'Tooltip only on overflow', code: TooltipOverflowExampleCode },
                    React.createElement(TooltipOverflowExample, null))), allowNativeProps: true, propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/Tooltip.types.ts'),
                    require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/TooltipHost.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "Tooltips supplement content associated with a specific UI component. You can use two components, and each has different props:"),
                React.createElement("p", null, "Tooltip: A styled tooltip that you can display on a chosen target."),
                React.createElement("p", null, "TooltipHost: A tooltip wrapped in a stateful parent. Tooltip will be displayed on hover or focus and removed when focus/hover removed.")), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, TooltipStatus)) }));
    };
    return TooltipPage;
}(React.Component));
export { TooltipPage };
//# sourceMappingURL=TooltipPage.js.map