/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { ICheckbox, ICheckboxProps } from './Checkbox.types';
export interface ICheckboxState {
    /** Is true when Uncontrolled control is checked. */
    isChecked?: boolean;
}
export declare class Checkbox extends BaseComponent<ICheckboxProps, ICheckboxState> implements ICheckbox {
    static defaultProps: ICheckboxProps;
    private _checkBox;
    private _id;
    private _classNames;
    /**
     * Initialize a new instance of the TopHeaderV2
     * @param props Props for the component
     * @param context Context or initial state for the base component.
     */
    constructor(props: ICheckboxProps, context?: any);
    componentWillReceiveProps(newProps: ICheckboxProps): void;
    /**
     * Render the Checkbox based on passed props
     */
    render(): JSX.Element;
    readonly checked: boolean;
    focus(): void;
    private _onFocus;
    private _onBlur;
    private _onClick;
    private _onRenderLabel;
}
