/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IColor } from '../../utilities/color/colors';
export interface IColorRectangleProps {
    componentRef?: () => void;
    color: IColor;
    minSize?: number;
    onSVChanged?(s: number, v: number): void;
}
export interface IColorPickerState {
    isAdjusting?: boolean;
    origin?: {
        x: number;
        y: number;
        color: IColor;
    };
    color?: IColor;
    fullColorString?: string;
}
export declare class ColorRectangle extends BaseComponent<IColorRectangleProps, IColorPickerState> {
    static defaultProps: {
        minSize: number;
    };
    private _root;
    constructor(props: IColorRectangleProps);
    componentWillUnmount(): void;
    componentWillReceiveProps(newProps: IColorRectangleProps): void;
    render(): JSX.Element;
    private _onMouseDown;
    private _onMouseMove;
    private _onMouseUp;
}
