"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var example_app_base_1 = require("@uifabric/example-app-base");
var Facepile_AddFace_Example_1 = require("./examples/Facepile.AddFace.Example");
var Facepile_Basic_Example_1 = require("./examples/Facepile.Basic.Example");
var Facepile_Overflow_Example_1 = require("./examples/Facepile.Overflow.Example");
var Styling_1 = require("../../Styling");
var ComponentStatus_1 = require("../../demo/ComponentStatus/ComponentStatus");
var Facepile_checklist_1 = require("./Facepile.checklist");
var FacepileAddFaceExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Facepile/examples/Facepile.AddFace.Example.tsx');
var FacepileBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Facepile/examples/Facepile.Basic.Example.tsx');
var FacepileOverflowExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Facepile/examples/Facepile.Overflow.Example.tsx');
var FacepilePage = /** @class */ (function (_super) {
    tslib_1.__extends(FacepilePage, _super);
    function FacepilePage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FacepilePage.prototype.render = function () {
        return (React.createElement(example_app_base_1.ComponentPage, { title: 'Facepile', componentName: 'FacepileExample', exampleCards: React.createElement("div", null,
                React.createElement(example_app_base_1.ExampleCard, { title: 'Facepile with size and fade in options', code: FacepileBasicExampleCode },
                    React.createElement(Facepile_Basic_Example_1.FacepileBasicExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Facepile with overflow buttons', code: FacepileOverflowExampleCode },
                    React.createElement(Facepile_Overflow_Example_1.FacepileOverflowExample, null)),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Facepile with face adding functionality', code: FacepileAddFaceExampleCode },
                    React.createElement(Facepile_AddFace_Example_1.FacepileAddFaceExample, null))), propertiesTables: React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/Facepile/Facepile.types.ts')
                ] }), overview: React.createElement("div", null,
                React.createElement("p", null, "The Facepile shows a list of faces or initials in a horizontal lockup. Each circle represents a person. Many times this component is used when sharing who has access to a specific view or file or when assigning a user to a task within a workflow."),
                React.createElement("h2", { className: Styling_1.FontClassNames.xLarge }, "Adding people"),
                React.createElement("p", null, "The component can include an add button which can be used for quickly adding a person to the list."),
                React.createElement("h2", { className: Styling_1.FontClassNames.xLarge }, "Empty state"),
                React.createElement("p", null, "The empty state of the Facepile should include only an add button. Another variant is to use an input field with placeholder text instructing the user to add a person. See the PeoplePicker component for the menu used to add people to the Facepile list."),
                React.createElement("h2", { className: Styling_1.FontClassNames.xLarge }, "One person"),
                React.createElement("p", null, "When there is only one person in the Facepile, consider using their name next to the face or initials."),
                React.createElement("h2", { className: Styling_1.FontClassNames.xLarge }, "Expanding the list when there is no overflow"),
                React.createElement("p", null, "When there is a need to show the Facepile expanded into a vertical list, include a downward chevron button. Clicking or tapping on the chevron would open a standard list view of personas."),
                React.createElement("h2", { className: Styling_1.FontClassNames.xLarge }, "Overflow"),
                React.createElement("p", null, "When the Facepile exceeds a max number of 5 people, show a button at the end of the list indicating how many are not being shown. Clicking or tapping on the overflow would open a standard list view of personas.")), bestPractices: React.createElement("div", null), dos: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use if looking for a way to represent who has access to an area and need to show that as a people representation."),
                    React.createElement("li", null, "Only show the Add button if a user has access to do so."),
                    React.createElement("li", null, "Allow a way for the user to understand who the person is. Many common ways to do this are with a tooltip or adding the ability to open up a PeopleCard Experience."))), donts: React.createElement("div", null,
                React.createElement("ul", null,
                    React.createElement("li", null, "Use for things other than people."),
                    React.createElement("li", null, "Overwhelm users by listing every single person as a circle but truncate and provide a way to see the full list."),
                    React.createElement("li", null, "Don\u2019t use this control for experiences where you need to manage details of hundreds of users, you are better off using a list control."))), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus_1.ComponentStatus, tslib_1.__assign({}, Facepile_checklist_1.FacepileStatus)) }));
    };
    return FacepilePage;
}(React.Component));
exports.FacepilePage = FacepilePage;
//# sourceMappingURL=FacepilePage.js.map