/// <reference types="react" />
import * as React from 'react';
import { BaseComponent } from '../../Utilities';
import { IGroupedList, IGroupedListProps, IGroup } from './GroupedList.types';
import { SelectionMode } from '../../utilities/selection/index';
export interface IGroupedListState {
    lastWidth?: number;
    lastSelectionMode?: SelectionMode;
    groups?: IGroup[];
}
export declare class GroupedList extends BaseComponent<IGroupedListProps, IGroupedListState> implements IGroupedList {
    static defaultProps: {
        selectionMode: SelectionMode;
        isHeaderVisible: boolean;
        groupProps: {};
    };
    refs: {
        [key: string]: React.ReactInstance;
    };
    private _list;
    private _isSomeGroupExpanded;
    constructor(props: IGroupedListProps);
    scrollToIndex(index: number, measureItem?: (itemIndex: number) => number): void;
    componentWillReceiveProps(newProps: IGroupedListProps): void;
    render(): JSX.Element;
    forceUpdate(): void;
    toggleCollapseAll(allCollapsed: boolean): void;
    private _renderGroup;
    private _returnOne();
    private _getGroupKey(group, index);
    private _getGroupNestingDepth();
    private _onToggleCollapse;
    private _onToggleSelectGroup;
    private _forceListUpdates(groups?);
    private _onToggleSummarize;
    private _getPageSpecification;
    private _computeIsSomeGroupExpanded(groups);
    private _updateIsSomeGroupExpanded();
}
