/// <reference types="react" />
import { ILayerProps } from './Layer.types';
import { BaseComponent } from '../../Utilities';
export declare class LayerBase extends BaseComponent<ILayerProps, {}> {
    static defaultProps: ILayerProps;
    private _rootElement;
    private _host;
    private _layerElement;
    private _hasMounted;
    /**
     * Used for notifying applicable Layers that a host is available/unavailable and to re-evaluate Layers that
     * care about the specific host.
     */
    static notifyHostChanged(id: string): void;
    /**
     * Sets the default target selector to use when determining the host in which
     * Layered content will be injected into. If not provided, an element will be
     * created at the end of the document body.
     *
     * Passing in a falsey value will clear the default target and reset back to
     * using a created element at the end of document body.
     */
    static setDefaultTarget(selector?: string): void;
    constructor(props: ILayerProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
    private _removeLayerElement();
    private _getHost();
}
