"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react"); // tslint:disable-line:no-unused-variable
var PropTypes = require("prop-types");
require("./Layer.Example.scss");
require("../../../common/_exampleStyles.scss");
var Utilities_1 = require("../../../Utilities");
var Checkbox_1 = require("../../../Checkbox");
var Layer_1 = require("../Layer");
var Styling_1 = require("../../../Styling");
var exampleStylesImport = require("../../../common/_exampleStyles.scss");
var exampleStyles = exampleStylesImport;
var LayerContentExample = /** @class */ (function (_super) {
    tslib_1.__extends(LayerContentExample, _super);
    function LayerContentExample(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            time: new Date().toLocaleTimeString()
        };
        return _this;
    }
    LayerContentExample.prototype.componentDidMount = function () {
        var _this = this;
        this._async.setInterval(function () { return _this.setState({ time: new Date().toLocaleTimeString() }); }, 1000);
    };
    LayerContentExample.prototype.render = function () {
        return (React.createElement("div", { className: 'LayerExample-content ' + Styling_1.AnimationClassNames.scaleUpIn100 },
            React.createElement("div", { className: 'LayerExample-textContent' }, this.context.message),
            React.createElement("div", null, this.state.time)));
    };
    LayerContentExample.contextTypes = {
        message: PropTypes.string
    };
    return LayerContentExample;
}(Utilities_1.BaseComponent));
exports.LayerContentExample = LayerContentExample;
var LayerBasicExample = /** @class */ (function (_super) {
    tslib_1.__extends(LayerBasicExample, _super);
    function LayerBasicExample(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            showLayer: false
        };
        return _this;
    }
    LayerBasicExample.prototype.getChildContext = function () {
        return {
            'message': 'Hello world.'
        };
    };
    LayerBasicExample.prototype.render = function () {
        var showLayer = this.state.showLayer;
        return (React.createElement("div", null,
            React.createElement(Checkbox_1.Checkbox, { className: exampleStyles.exampleCheckbox, label: 'Wrap the content box belowed in a Layer', checked: showLayer, onChange: this._onChange }),
            showLayer ? (React.createElement(Layer_1.Layer, null,
                React.createElement(LayerContentExample, null))) : (React.createElement(LayerContentExample, null))));
    };
    LayerBasicExample.prototype._onChange = function (ev, checked) {
        this.setState({ showLayer: checked });
    };
    LayerBasicExample.childContextTypes = {
        message: PropTypes.string
    };
    return LayerBasicExample;
}(Utilities_1.BaseComponent));
exports.LayerBasicExample = LayerBasicExample;
//# sourceMappingURL=Layer.Basic.Example.js.map