/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IOverflowSet, IOverflowSetProps } from './OverflowSet.types';
export declare class OverflowSet extends BaseComponent<IOverflowSetProps, {}> implements IOverflowSet {
    private _focusZone;
    private _divContainer;
    constructor(props: IOverflowSetProps);
    render(): JSX.Element;
    /**
     * Sets focus to the first tabbable item in the OverflowSet.
     * @param {boolean} forceIntoFirstElement If true, focus will be forced into the first element,
     * even if focus is already in theOverflowSet
     * @returns True if focus could be set to an active element, false if no operation was taken.
     */
    focus(forceIntoFirstElement?: boolean): boolean;
    /**
     * Sets focus to a specific child element within the OverflowSet.
     * @param {HTMLElement} childElement The child element within the zone to focus.
     * @returns True if focus could be set to an active element, false if no operation was taken.
     */
    focusElement(childElement?: HTMLElement): boolean;
    private _onRenderItems;
    private _onRenderOverflowButtonWrapper;
}
