/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IPanel, IPanelProps } from './Panel.types';
export interface IPanelState {
    isFooterSticky?: boolean;
    isOpen?: boolean;
    isAnimating?: boolean;
    id?: string;
}
export declare class Panel extends BaseComponent<IPanelProps, IPanelState> implements IPanel {
    static defaultProps: IPanelProps;
    private _content;
    constructor(props: IPanelProps);
    componentDidMount(): void;
    componentWillReceiveProps(newProps: IPanelProps): void;
    render(): JSX.Element | null;
    open(): void;
    dismiss: () => void;
    private _onRenderNavigation;
    private _onRenderHeader;
    private _onRenderBody;
    private _onRenderFooter;
    private _updateFooterPosition();
    private _onPanelClick;
    private _onTransitionComplete;
}
