/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IPopupProps } from './Popup.types';
export interface IPopupState {
    needsVerticalScrollBar?: boolean;
}
/**
 * This adds accessibility to Dialog and Panel controls
 */
export declare class Popup extends BaseComponent<IPopupProps, IPopupState> {
    static defaultProps: IPopupProps;
    _root: {
        (component: HTMLDivElement | null): void;
        value: HTMLDivElement | null;
    };
    private _originalFocusedElement;
    private _containsFocus;
    constructor(props: IPopupProps);
    componentWillMount(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private _onKeyDown;
    private _updateScrollBarAsync();
    private _getScrollBar();
    private _onFocus();
    private _onBlur();
}
