/// <reference types="react" />
import { BasePicker, BasePickerListBelow } from '../BasePicker';
import { IBasePickerProps, IBasePickerSuggestionsProps, ValidationState } from '../BasePicker.types';
import { IPersonaProps } from '../../../Persona';
import './PeoplePicker.scss';
import { IPeoplePickerItemProps } from './PeoplePickerItems/PeoplePickerItem.types';
export interface IPeoplePickerProps extends IBasePickerProps<IPersonaProps> {
}
export declare class BasePeoplePicker extends BasePicker<IPersonaProps, IPeoplePickerProps> {
}
export declare class MemberListPeoplePicker extends BasePickerListBelow<IPersonaProps, IPeoplePickerProps> {
}
/**
 * Standard People Picker.
 */
export declare class NormalPeoplePicker extends BasePeoplePicker {
    static defaultProps: {
        onRenderItem: (props: IPeoplePickerItemProps) => JSX.Element;
        onRenderSuggestionsItem: (props: IPersonaProps, itemProps?: IBasePickerSuggestionsProps | undefined) => JSX.Element;
        createGenericItem: typeof createGenericItem;
    };
}
/**
* Compact layout. It uses small personas when displaying search results.
*/
export declare class CompactPeoplePicker extends BasePeoplePicker {
    static defaultProps: {
        onRenderItem: (props: IPeoplePickerItemProps) => JSX.Element;
        onRenderSuggestionsItem: (props: IPersonaProps, itemProps?: IBasePickerSuggestionsProps | undefined) => JSX.Element;
        createGenericItem: typeof createGenericItem;
    };
}
/**
 * MemberList layout. The selected people show up below the search box.
 */
export declare class ListPeoplePicker extends MemberListPeoplePicker {
    static defaultProps: {
        onRenderItem: (props: IPeoplePickerItemProps) => JSX.Element;
        onRenderSuggestionsItem: (props: IPersonaProps, itemProps?: IBasePickerSuggestionsProps | undefined) => JSX.Element;
        createGenericItem: typeof createGenericItem;
    };
}
export declare function createGenericItem(name: string, currentValidationState: ValidationState, allowPhoneInitials: boolean): {
    key: string;
    primaryText: string;
    imageInitials: string;
    ValidationState: ValidationState;
};
